Bug 816449 - bkr workflow-kernel failed
bkr workflow-kernel failed
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Bill Peck
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 01:57 EDT by xiali
Modified: 2013-01-10 20:48 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 22:27:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xiali 2012-04-26 01:57:24 EDT
Description of problem:

$ bkr workflow-kernel --prettyxml --distro=RHEL5-Server-U8 --nvr=2.6.18-308.4.1.el5 --task=/path/to/test --lite
Traceback (most recent call last):
  File "/usr/bin/bkr", line 9, in <module>
    load_entry_point('bkr.client==0.8.2', 'console_scripts', 'bkr')()
  File "/usr/lib/python2.7/site-packages/bkr/client/main.py", line 45, in main
    return cmd.run(*cmd_args, **cmd_opts.__dict__)
  File "/usr/lib/python2.7/site-packages/bkr/client/commands/cmd_workflow_kernel.py", line 1359, in run
    if matrix[arch]:
KeyError: 'ppc'



Version-Release number of selected component (if applicable):

$ rpm -qa |grep beaker
beaker-0.8.2-1.fc15.noarch
beaker-redhat-0.1.48-1.fc15.noarch
beaker-client-0.8.2-1.fc15.noarch
beakerlib-redhat-1-6.fc15.noarch
beakerlib-1.4-2.fc15.noarch


How reproducible:
100%

Steps to Reproduce:
1. run `bkr workflow-kernel`

  
Actual results:
cmd failed


Expected results:
cmd pass
Comment 1 Bill Peck 2012-04-26 20:04:15 EDT
fixed,
Comment 2 xiali 2012-07-05 05:29:42 EDT
Traceback (most recent call last):
  File "/bin/bkr", line 9, in <module>
    load_entry_point('bkr.client==0.9.0', 'console_scripts', 'bkr')()
  File "/usr/lib/python2.7/site-packages/bkr/client/main.py", line 45, in main
    return cmd.run(*cmd_args, **cmd_opts.__dict__)
  File "/usr/lib/python2.7/site-packages/bkr/client/commands/cmd_workflow_kernel.py", line 1359, in run
    if matrix[arch]:
KeyError: 'ppc'


this comes out again in 0.9.0
Comment 3 xiali 2012-07-05 05:30:54 EDT
$ rpm -qa |grep beaker
beakerlib-1.5-1.fc17.noarch
beaker-0.9.0-4.fc15.noarch
beaker-client-0.9.0-4.fc15.noarch
beaker-redhat-0.1.48-1.fc15.noarch
Comment 5 Bill Peck 2012-07-05 11:14:39 EDT
Please give me the full command that you ran.
Comment 6 xiali 2012-07-05 22:09:14 EDT
(In reply to comment #5)
> Please give me the full command that you ran.

any `bkr workflow-kernel ...`, like I mentioned in comment 1
Comment 7 Bill Peck 2012-07-05 22:27:04 EDT
I fixed this by editing the arches in the osversions.  I also applied Jan's patch so this won't be an issue in the future..

Note You need to log in before you can comment on or make changes to this bug.